Bug 802278 - SELinux is preventing /usr/bin/mozplugger-helper from using the 'setpgid' accesses on a process.
SELinux is preventing /usr/bin/mozplugger-helper from using the 'setpgid' acc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:1b9a5eed25ba1504e30b0fba707...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 05:12 EDT by Joachim Frieben
Modified: 2012-03-21 14:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2012-03-12 05:12:18 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc6.git2.1.fc17.x86_64
reason:         SELinux is preventing /usr/bin/mozplugger-helper from using the 'setpgid' accesses on a process.
time:           Mon 12 Mar 2012 10:12:02 AM CET

description:
:SELinux is preventing /usr/bin/mozplugger-helper from using the 'setpgid' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that mozplugger-helper should be allowed setpgid access on processes labeled mozilla_plugin_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep mozplugger-help /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Objects                 [ process ]
:Source                        mozplugger-help
:Source Path                   /usr/bin/mozplugger-helper
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           mozplugger-1.14.3-2.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc6.git2.1.fc17.x86_64 #1 SMP
:                              Wed Mar 7 05:23:15 UTC 2012 x86_64 x86_64
:Alert Count                   6
:First Seen                    Thu 08 Mar 2012 05:39:42 PM CET
:Last Seen                     Thu 08 Mar 2012 10:04:35 PM CET
:Local ID                      fbc31063-9731-443e-ad2c-7111985875bd
:
:Raw Audit Messages
:type=AVC msg=audit(1331240675.585:656): avc:  denied  { setpgid } for  pid=8653 comm="mozplugger-help" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=process
:
:
:type=SYSCALL msg=audit(1331240675.585:656): arch=x86_64 syscall=setpgid success=no exit=EACCES a0=0 a1=0 a2=31fa1b1b80 a3=7f9251303a10 items=0 ppid=8652 pid=8653 auid=1001 uid=1001 gid=100 euid=1001 suid=1001 fsuid=1001 egid=100 sgid=100 fsgid=100 tty=(none) ses=2 comm=mozplugger-help exe=/usr/bin/mozplugger-helper subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: mozplugger-help,mozilla_plugin_t,mozilla_plugin_t,process,setpgid
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-03-12 10:54:56 EDT
Fixed in selinux-policy-3.10.0-99.fc17
Comment 2 Fedora Update System 2012-03-19 13:56:19 EDT
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17
Comment 3 Fedora Update System 2012-03-20 02:09:21 EDT
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-21 14:55:17 EDT
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.